sailpoint.object

## Class ManagedAttribute

- java.lang.Object
- - sailpoint.object.ManagedAttribute

All Implemented Interfaces:
  java.lang.Cloneable

    public class ManagedAttribute
    extends java.lang.Object
    implements java.lang.Cloneable

### Nested Class Summary

Nested Classes
`static class` `ManagedAttribute.Type`

### Field Summary

Fields
`static java.lang.String` `CONFIG_DEFAULT_LANG`
`static java.lang.String` `CONFIG_LANGUAGES`
`static java.lang.String` `OLD_PERMISSION_ATTRIBUTE` Deprecated.
`static java.lang.String` `PROV_ATTRIBUTE`
`static java.lang.String[]` `PROV_ATTRIBUTES`
`static java.lang.String` `PROV_CLASSIFICATIONS`
`static java.lang.String` `PROV_DESCRIPTIONS`
`static java.lang.String` `PROV_DISPLAY_NAME`
`static java.lang.String` `PROV_MANAGED_ATTRIBUTE_TYPE`
`static java.lang.String` `PROV_OWNER`
`static java.lang.String` `PROV_REQUESTABLE`
`static java.lang.String` `PROV_SCOPE`
`static java.util.Comparator<ManagedAttribute>` `SP_ACCOUNTGROUP_BY_MODIFIED`
`static java.util.Comparator<ManagedAttribute>` `SP_ACCOUNTGROUP_BY_NAME`
`static java.util.Comparator<ManagedAttribute>` `SP_ACCOUNTGROUP_BY_NATIVE_IDENTITY`
`static java.util.Comparator<ManagedAttribute>` `SP_ACCOUNTGROUP_BY_OWNER`
`static java.lang.String[]` `SYSTEM_ATTRIBUTES`

### Constructor Summary

Constructors
Constructor and Description
`ManagedAttribute()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `get(java.lang.String name)`
`Application` `getApplication()`
`java.lang.String` `getApplicationId()`
`java.lang.String` `getAttribute()`
`java.lang.Object` `getAttribute(java.lang.String name)`
`Attributes<java.lang.String,java.lang.Object>` `getAttributes()`
`java.util.Map<java.lang.String,java.lang.String>` `getDescriptions()`
`java.lang.String` `getDisplayableName()`
`java.lang.String` `getDisplayName()`
`java.lang.String` `getType()`
`void` `put(java.lang.String name, java.lang.Object value)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### OLD_PERMISSION_ATTRIBUTE

    @Deprecated
    public static final java.lang.String OLD_PERMISSION_ATTRIBUTE

Deprecated.

See Also:
  Constant Field Values

#### CONFIG_DEFAULT_LANG

    public static final java.lang.String CONFIG_DEFAULT_LANG

See Also:
  Constant Field Values

#### CONFIG_LANGUAGES

    public static final java.lang.String CONFIG_LANGUAGES

See Also:
  Constant Field Values

#### SYSTEM_ATTRIBUTES

    public static final java.lang.String[] SYSTEM_ATTRIBUTES

#### PROV_ATTRIBUTE

    public static final java.lang.String PROV_ATTRIBUTE

See Also:
  Constant Field Values

#### PROV_DISPLAY_NAME

    public static final java.lang.String PROV_DISPLAY_NAME

See Also:
  Constant Field Values

#### PROV_DESCRIPTIONS

    public static final java.lang.String PROV_DESCRIPTIONS

See Also:
  Constant Field Values

#### PROV_REQUESTABLE

    public static final java.lang.String PROV_REQUESTABLE

See Also:
  Constant Field Values

#### PROV_OWNER

    public static final java.lang.String PROV_OWNER

See Also:
  Constant Field Values

#### PROV_SCOPE

    public static final java.lang.String PROV_SCOPE

See Also:
  Constant Field Values

#### PROV_MANAGED_ATTRIBUTE_TYPE

    public static final java.lang.String PROV_MANAGED_ATTRIBUTE_TYPE

See Also:
  Constant Field Values

#### PROV_CLASSIFICATIONS

    public static final java.lang.String PROV_CLASSIFICATIONS

See Also:
  Constant Field Values

#### PROV_ATTRIBUTES

    public static final java.lang.String[] PROV_ATTRIBUTES

#### SP_ACCOUNTGROUP_BY_NAME

    public static final java.util.Comparator<ManagedAttribute> SP_ACCOUNTGROUP_BY_NAME

#### SP_ACCOUNTGROUP_BY_NATIVE_IDENTITY

    public static final java.util.Comparator<ManagedAttribute> SP_ACCOUNTGROUP_BY_NATIVE_IDENTITY

#### SP_ACCOUNTGROUP_BY_OWNER

    public static final java.util.Comparator<ManagedAttribute> SP_ACCOUNTGROUP_BY_OWNER

#### SP_ACCOUNTGROUP_BY_MODIFIED

    public static final java.util.Comparator<ManagedAttribute> SP_ACCOUNTGROUP_BY_MODIFIED

### Constructor Detail

#### ManagedAttribute

    public ManagedAttribute()

### Method Detail

#### getApplication

    public Application getApplication()

#### getType

    public java.lang.String getType()

#### getAttribute

    public java.lang.String getAttribute()

#### getDisplayName

    public java.lang.String getDisplayName()

#### getDisplayableName

    public java.lang.String getDisplayableName()

#### getAttributes

    public Attributes<java.lang.String,java.lang.Object> getAttributes()

#### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)

#### getApplicationId

    public java.lang.String getApplicationId()

#### get

    public java.lang.Object get(java.lang.String name)

#### put

    public void put(java.lang.String name,
                    java.lang.Object value)

#### getDescriptions

    public java.util.Map<java.lang.String,java.lang.String> getDescriptions()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`